import glob
import os

folder = glob.glob("gerbers")
if len(folder) == 0:
    prefix = "../"
else:
    prefix = ""

gerberfiles = [f for f in glob.glob(f"{prefix}gerbers/*.*") if not f.endswith(".zip")]

# Delete all Gerber files except the zip ones
deletefiles = [f for f in gerberfiles if not f.endswith(".zip")]

# Also delete the bottom pick and place file as it is not needed
deletefiles.append(f"{prefix}bom/pick-and-place.bottom.csv")

for file in deletefiles:
    print(f"Deleting {file}")
    if os.path.exists(file):
        os.remove(file)

print("Done")